device_destroy
Prev | Device Drivers Base | Next

## Name

device_destroy — removes a device that was created with `device_create`

## Synopsis

`void device_destroy (` | struct class * | class,
| dev_t | devt`)`;

## Arguments

`class`

  pointer to the struct class that this device was registered with

`devt`

  the dev_t of the device that was previously registered

## Description

This call unregisters and cleans up a device that was created with a call to `device_create`.

Prev | Up | Next
device_create | Home | destroy_suspended_device